
/* XMS.H
  -------

  Defines the XMS functions.

  Copyright (C) 2000 by Josef Drexler <jdrexler@julian.uwo.ca>

  Distributed under the terms of the GNU General Public License.  For more
  information please read the file COPYING which is included in the
  distribution.
*/

extern int xmsret;      // in xms.asm
extern char xmserror;

int xmsinit();	// -> 0=no XMS, 1=XMS init successful
int xmsmemfree(); // returns largest available block in KB
int xmsalloc(int size); // returns handle or 0 if no memory was allocated
int xmsaccess(int handle, void far *buffer, unsigned long int ofs,
	unsigned long int length, int action); // returns 1 if success, 0 if not
int xmsfree(int handle); // return 1 if success, 0 if not

